<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:gdk="http://www.ihe.net/gazellecdk">

	<h:outputText id="#{filterId}Name#{idSuffix}" value="#{filterName}"
		style="color: grey;font-weight: bold;" />

	<h:panelGrid columns="2" border="0" cellpadding="0" cellspacing="0">
		<s:div>
			<s:div id="#{filterId}DivSelect#{idSuffix}">
				<script type="text/javascript">
		            function call#{filterId}Sugestion#{idSuffix}()
		            {
			            var input = #{rich:jQuery(filterSuggestBean.getSuggestionId(filterId, idSuffix))}.find(':input:visible');
			            if (input.val() == "")
			            {    input.val(" ");}
						input.trigger('keydown');
		         	}
				</script>
				<h:panelGrid columns="3" border="0" cellpadding="0" cellspacing="0">
					<rich:autocomplete id="#{filterId}Suggestion#{idSuffix}"
						layout="table" minChars="0" autofill="false" mode="ajax"
						autocompleteMethod="#{filter.suggesters[filterId].suggest}"
						var="selectedValue" width="#{filterWidth}" height="240"
						fetchValue="#{filter.formatters[filterId].formatLabel(selectedValue)}"
						value="#{filter.stringValues[filterId]}"
						onclick="call#{filterId}Sugestion#{idSuffix}();#{rich:component(filterSuggestBean.getSuggestionId(filterId, idSuffix))}.showPopup();">
						<h:column>
							<h:outputText
								value="#{filter.formatters[filterId].formatCount(selectedValue)}" />
						</h:column>
						<h:column>
							<h:outputText
								value="#{filter.formatters[filterId].formatLabel(selectedValue)}" />
						</h:column>
						<a4j:ajax event="selectitem"
							execute="#{filterId}Suggestion#{idSuffix} @this"
							listener="#{filter.updateFilterVal(filterId)}"
							render="#{filterId}Suggestion#{idSuffix} #{filterForm}" />
					</rich:autocomplete>
					<h:graphicImage value="/img/suggest.png"
						onclick="call#{filterId}Sugestion#{idSuffix}();#{rich:component(filterSuggestBean.getSuggestionId(filterId, idSuffix))}.showPopup();" />

					<h:graphicImage value="/img/icons64/deleteJR.gif" width="14"
						height="14">
						<a4j:ajax event="click" listener="#{filter.resetField(filterId)}"
							render="#{filterForm}" execute="@this" />
					</h:graphicImage>
				</h:panelGrid>

			</s:div>
		</s:div>
		<s:div rendered="#{filterSuggestBean.supportsLink(filter, filterId)}">
			<gdk:spacer width="10" />
			<span data-tooltip="Details"> <g:imagelink
					value="#{filter.getRealFilterValue(filterId)}" icon="/img/dev.gif"
					width="14" height="14" target="_blank" />
			</span>
		</s:div>
	</h:panelGrid>
</ui:composition>
